Organization Hardware Services
Create Organization Hardware Service
/hardware/v1/service
Create a new Organization Hardware Service.
Requires a bearer access token for this API with the Organization.Hardware.Service.Write permission. See Authentication.
Request body
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X POST "https://connect.cambrionix.com/api/hardware/v1/service" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "id": "string" }'
Get Organization Hardware Services
/hardware/v1/services
List hardware sync records for the organization's services (id and last sync time).
Requires a bearer access token for this API with the Organization.Hardware.Service.Read permission. See Authentication.
Parameters
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/hardware/v1/services" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get Organization Hardware Service
/hardware/v1/services/{serviceId}
Get the hardware sync record (id and last sync time) for one service by id.
Requires a bearer access token for this API with the Organization.Hardware.Service.Read permission. See Authentication.
Parameters
Path parameter
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/hardware/v1/services/{serviceId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Update Organization Hardware Service
/hardware/v1/services/{serviceId}
Update an Organization Hardware Service.
Requires a bearer access token for this API with the Organization.Hardware.Service.Write permission. See Authentication.
Parameters
Path parameter
Request body
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X PATCH "https://connect.cambrionix.com/api/hardware/v1/services/{serviceId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{}'
Delete Organization Hardware Service
/hardware/v1/services/{serviceId}
Delete an Organization Hardware Service.
Requires a bearer access token for this API with the Organization.Hardware.Service.Delete permission. See Authentication.
Parameters
Path parameter
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X DELETE "https://connect.cambrionix.com/api/hardware/v1/services/{serviceId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Read computer local API details or errors
/hardware/v1/services/{serviceId}/actions
Read a host computer's details or errors from an allowlisted local API path. Success returns the computer's result; an error returns its HTTP status with a Connect error body.
Requires a bearer access token for this API. See Authentication.
Parameters
Path parameter
Request body
Option 1: object
Option 2: object
Option 3: object
Option 4: object
Option 5: object
Option 6: object
Option 7: object
Option 8: object
Option 9: object
Option 10: object
Option 11: object
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X POST "https://connect.cambrionix.com/api/hardware/v1/services/{serviceId}/actions" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "action": "getComputerDetails", "path": "string" }'
List Service Errors
/hardware/v1/services/{serviceId}/errors
List the errors a service has reported to Connect. Errors expire 24 hours after their last report.
Requires a bearer access token for this API with the Organization.ServiceError.Read permission. See Authentication.
Parameters
Path parameter
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/hardware/v1/services/{serviceId}/errors" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get Service Error
/hardware/v1/services/{serviceId}/errors/{errorKey}
Get a service error by its error key. The error key must be 1 to 200 characters from letters, digits, underscore, period, tilde, colon, or hyphen.
Requires a bearer access token for this API with the Organization.ServiceError.Read permission. See Authentication.
Parameters
Path parameter
Path parameter
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/hardware/v1/services/{serviceId}/errors/{errorKey}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Upsert Service Error
/hardware/v1/services/{serviceId}/errors/{errorKey}
Create or replace a service error. The path serviceId must match body.service.id, and re-sending the same error replaces it and keeps it for another 24 hours. The error key must be 1 to 200 characters from letters, digits, underscore, period, tilde, colon, or hyphen.
Requires a bearer access token for this API with the Organization.ServiceError.Write permission. See Authentication.
Parameters
Path parameter
Path parameter
Request body
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X PUT "https://connect.cambrionix.com/api/hardware/v1/services/{serviceId}/errors/{errorKey}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "computer": { "id": "00000000-0000-0000-0000-000000000000" }, "error": { "code": "string", "detail": { "hubSerial": "string", "osDetail": "string", "portIndex": 0, "type": "hub_connection" }, "message": "string" }, "service": { "id": "string", "type": "host" } }'
Delete Service Error
/hardware/v1/services/{serviceId}/errors/{errorKey}
Delete a service error by its error key. The error key must be 1 to 200 characters from letters, digits, underscore, period, tilde, colon, or hyphen.
Requires a bearer access token for this API with the Organization.ServiceError.Delete permission. See Authentication.
Parameters
Path parameter
Path parameter
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X DELETE "https://connect.cambrionix.com/api/hardware/v1/services/{serviceId}/errors/{errorKey}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"